diff -ruN squid-2.5.STABLE8-RC3/ChangeLog squid-2.5.STABLE8-RC4/ChangeLog
--- squid-2.5.STABLE8-RC3/ChangeLog	Mon Jan 31 15:53:57 2005
+++ squid-2.5.STABLE8-RC4/ChangeLog	Fri Feb  4 07:46:15 2005
@@ -38,6 +38,13 @@
 	- [Medium security] Buffer overflow in WCCP recvfrom() call
 	  (Bug #1217)
 	- [Security] Properly handle oversized reply headers (Bug #1216)
+	- [Minor] LDAP helpers search fixed to properly ask for no attributes
+	- [Minor] A sporadic segmentation fault when using ntlm authentication
+	  fixed (Bug #1127)
+	- [Major] Segmentation fault on failed PUT/POST requests (Bug #1224)
+	- [Medium] Persistent connection mismatch on failed PUT/POST request
+	  (Bug #1122)
+	- [Minor] WCCP easily disturbed by forged packets
 
 Changes to squid-2.5.STABLE7 (11 Oct 2004)
 
@@ -51,7 +58,7 @@
 	- [Cosmetic] request_header_max_size configuration partly ignored
 	  (Bug #899)
 	- [Minor] Partial hit results in TCP_HIT, not TCP_MISS. (Bug #1001)
-	- Bug #1012: [Cosmetic] HEAD requests may return stale information
+	- [Cosmetic] HEAD requests may return stale information
 	  (Bug #1012)
 	- [Cosmetic] Warn if cache_dir ufs can not create files. (Bug #918)
 	- [Minor] case insensitive authentication (Bug #431)
diff -ruN squid-2.5.STABLE8-RC3/RELEASENOTES.html squid-2.5.STABLE8-RC4/RELEASENOTES.html
--- squid-2.5.STABLE8-RC3/RELEASENOTES.html	Mon Jan 31 15:59:32 2005
+++ squid-2.5.STABLE8-RC4/RELEASENOTES.html	Fri Feb  4 07:54:44 2005
@@ -7,7 +7,7 @@
 <BODY>
 <H1>Squid 2.5 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.40 2005/01/24 09:18:27 hno Exp $
+<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.41 2005/02/04 14:39:49 hno Exp $
 <HR>
 <EM>This document contains the release notes for version 2.5 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
@@ -363,6 +363,9 @@
 <LI>Buffer overflow fix in gopherToHTML.</LI>
 <LI>Corrected a Segmentation fault on malformed WCCP packets.</LI>
 <LI>squid_ldap_auth now sanity checks usernames</LI>
+<LI>Corrected a Segmentation fault and other malfunctions on failed PUT/POST
+requests.</LI>
+<LI>Properly handle oversized reply headers</LI>
 <LI>a number of other minor and cosmetic bugfixes. See the list of 
 <A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE7">squid-2.5.STABLE7 patches</A> and the 
 <A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
diff -ruN squid-2.5.STABLE8-RC3/configure squid-2.5.STABLE8-RC4/configure
--- squid-2.5.STABLE8-RC3/configure	Mon Jan 31 15:59:23 2005
+++ squid-2.5.STABLE8-RC4/configure	Fri Feb  4 07:54:34 2005
@@ -1000,7 +1000,7 @@
 
 # Define the identity of the package.
 PACKAGE=squid
-VERSION=2.5.STABLE8-RC3
+VERSION=2.5.STABLE8-RC4
 cat >> confdefs.h <<EOF
 #define PACKAGE "$PACKAGE"
 EOF
@@ -1051,7 +1051,7 @@
 
   
 
-# From configure.in Revision: 1.251.2.76 
+# From configure.in Revision: 1.251.2.77 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
 echo "configure:1057: checking whether to enable maintainer-specific portions of Makefiles" >&5
     # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
diff -ruN squid-2.5.STABLE8-RC3/configure.in squid-2.5.STABLE8-RC4/configure.in
--- squid-2.5.STABLE8-RC3/configure.in	Mon Jan 31 15:59:23 2005
+++ squid-2.5.STABLE8-RC4/configure.in	Fri Feb  4 07:54:34 2005
@@ -3,15 +3,15 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.251.2.76 2005/01/31 22:57:55 hno Exp $
+dnl  $Id: configure.in,v 1.251.2.77 2005/02/04 14:39:49 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_AUX_DIR(cfgaux)
-AM_INIT_AUTOMAKE(squid, 2.5.STABLE8-RC3)
+AM_INIT_AUTOMAKE(squid, 2.5.STABLE8-RC4)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.251.2.76 $)dnl
+AC_REVISION($Revision: 1.251.2.77 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ACCESS_DENIED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ACCESS_DENIED	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitettua ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitettua ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -21,4 +21,4 @@
 Jos koet, ett&auml; t&auml;m&auml; on v&auml;&auml;rin, ota yhteytt&auml; palveluntarjoajaasi.
 </UL>
 </P>
-
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CACHE_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CACHE_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CACHE_ACCESS_DENIED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CACHE_ACCESS_DENIED	Wed Feb  2 15:41:02 2005
@@ -8,7 +8,7 @@
 <H2>P&auml;&auml;sy v&auml;lityspalvelimeen ev&auml;tty</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -26,7 +26,7 @@
 </P>
 
 <P>
-Jotta t&auml;m&auml; onnistuisi, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
+Jotta todentaminen onnisttuu, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
 Microsoft Internet Explorer 3.0:aa tai HTTP/1.1 -yhteensopivaa selainta.
 Jos sinulla on hankaluuksia hekil&ouml;llisyytesi todentamisessa, ota yhteytt&auml;
 <A HREF="mailto:%w">v&auml;lityspalvelimen yll&auml;pitoon</a> tai
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED	Wed Feb  2 15:41:02 2005
@@ -8,7 +8,7 @@
 <H2>P&auml;&auml;sy v&auml;lityspalvelimen hallintaan ev&auml;tty</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -26,7 +26,7 @@
 </P>
 
 <P>
-Jotta t&auml;m&auml; onnistuisi, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
+Jotta henkil&ouml;llisyyden todentaminen onnistuisi, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
 Microsoft Internet Explorer 3.0:aa tai HTTP/1.1 -yhteensopivaa selainta.
 Jos sinulla on hankaluuksia hekil&ouml;llisyytesi osoittamisessa, ota yhteytt&auml;
 <A HREF="mailto:%w">v&auml;lityspalvelimen yll&auml;pitoon</a> tai jos sin&auml; <em>olet</em>
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CANNOT_FORWARD squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CANNOT_FORWARD
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CANNOT_FORWARD	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CANNOT_FORWARD	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -29,3 +29,4 @@
 tavoittamattomissa.
 </UL>
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CONNECT_FAIL squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CONNECT_FAIL
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_CONNECT_FAIL	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_CONNECT_FAIL	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
+Yritett&auml;ess&auml; hakea osoitetta:
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -25,3 +25,4 @@
 <P>
 Kohdepalvelin tai -verkko saattaa olla alhaalla. Uusi hakupyynt&ouml;si.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_DNS_FAIL squid-2.5.STABLE8-RC4/errors/Finnish/ERR_DNS_FAIL
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_DNS_FAIL	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_DNS_FAIL	Wed Feb  2 15:41:02 2005
@@ -1,12 +1,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
+Yritett&auml;ess&auml; hakea osoitetta:
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -30,4 +30,4 @@
  Tarkista, ett&auml; osoite on oikein.
 </PRE>
 </P>
-
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FORWARDING_DENIED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FORWARDING_DENIED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FORWARDING_DENIED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FORWARDING_DENIED	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
+Yritett&auml;ess&auml; hakea osoitetta:
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -22,3 +22,4 @@
 T&auml;m&auml; v&auml;lityspalvelin ei edelleenohjaa pyynt&ouml;&auml;si koska se yritt&auml;&auml; vahvistaa
 sisarsuhdetta. Ehk&auml; asiakas osoitteessa %i on v&auml;&auml;rin konfiguroitu v&auml;lityspalvelin.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_DISABLED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_DISABLED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_DISABLED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_DISABLED	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
+Yritett&auml;ess&auml; hakea osoitetta:
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava virhe:
@@ -21,3 +21,4 @@
 <P>
 T&auml;m&auml; v&auml;lityspalvelin ei tue FTP:t&auml;.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_FAILURE squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_FAILURE
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_FAILURE	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_FAILURE	Wed Feb  2 15:41:02 2005
@@ -1,14 +1,14 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
 Tapahtui FTP-protokollavirhe yritett&auml;ess&auml;
-hakea URL-osoitetta
+hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Squid l&auml;hetti seuraavan FTP-komennon:
@@ -16,9 +16,4 @@
 ja vastaanotti seuraavan vastauksen:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-T&auml;m&auml; saattaa johtua FTP-osoitteesta, jossa on absoluuttinen polku
-(joka ei ole yhteensopiva RFC:n 1738 kanssa). Jos syy on t&auml;m&auml;,
-tiedosto l&ouml;ytyy osoitteesta <A HREF="%B">%B</A>.
-</P>
-
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_FORBIDDEN squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_FORBIDDEN
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_FORBIDDEN	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_FORBIDDEN	Wed Feb  2 15:41:02 2005
@@ -1,19 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-An FTP authentication failure occurred
-while trying to retrieve the URL:
-<A HREF="%U">%U</A>
+FTP:n k&auml;ytt&auml;j&auml;n henkil&ouml;llisyyden tarkastuksessa tapahtui virhe kun
+osoitetta <A HREF="%U">%U</A> yritettiin hakea.
 <P>
-Squid sent the following FTP command:
+Squid l&auml;hetti seuraavan FTP-komennon:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+ja sai t&auml;m&auml;n vastauksen:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_NOT_FOUND squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_NOT_FOUND
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_NOT_FOUND	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_NOT_FOUND	Wed Feb  2 15:41:02 2005
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-The following URL could not be retrieved:
-<A HREF="%U">%U</A>
+Osoitetta <A HREF="%U">%U</A> ei voitu hakea.
 <P>
-Squid sent the following FTP command:
+Squid l&auml;hetti seuraavan FTP-komennon:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+ja sai seuraavan vastauksen:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-This might be caused by an FTP URL with an absolute path (which does
-not comply with RFC 1738).  If this is the cause, then the file
-can be found at <A HREF="%B">%B</A>.
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+T&auml;m&auml;n saattaa aiheuttaa FTP-osoite, jossa on absoluutinen
+polku (mik&auml; ei ole RFC:n 1738 mukaista). Jos syyn&auml; on t&auml;m&auml;,
+niin tiedosto l&ouml;ytyy osoitteesta <A HREF="%B">%B</A>.
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
+
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_CREATED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_CREATED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_CREATED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_CREATED	Wed Feb  2 15:41:02 2005
@@ -6,6 +6,3 @@
 <H1>Toiminto onnistui:</H1>
 <H2>Tiedosto luotu</H2>
 <HR noshade size="1px">
-<P>
-</P>
-
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_ERROR squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_ERROR
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_ERROR	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_ERROR	Wed Feb  2 15:41:02 2005
@@ -3,11 +3,11 @@
 <TITLE>VIRHE: FTP-l&auml;hetys ep&auml;onnistui</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
+<H1>VIRHE</H1>
 <H2>FTP PUT/l&auml;hetys ep&auml;onnistui</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; l&auml;hett&auml;&auml; seuraavaa URL-osoitetta:
+Yritett&auml;ess&auml; l&auml;hett&auml;&auml; seuraavaa osoitetta:
 <A HREF="%U">%U</A>
 <P>
 Squid l&auml;hetti seuraavan FTP-komennon:
@@ -24,4 +24,4 @@
 Tarkista polku, oikeudet sek&auml; levytila ja kokeile uudelleen.
 </PRE>
 </P>
-
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_MODIFIED squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_MODIFIED
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_PUT_MODIFIED	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_PUT_MODIFIED	Wed Feb  2 15:41:02 2005
@@ -6,6 +6,3 @@
 <H1>Toiminto onnistui</H1>
 <H2>Tiedosto p&auml;ivitetty</H2>
 <HR noshade size="1px">
-<P>
-</P>
-
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_UNAVAILABLE squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_UNAVAILABLE
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_FTP_UNAVAILABLE	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_FTP_UNAVAILABLE	Wed Feb  2 15:41:02 2005
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-The FTP server was too busy while trying to retrieve the URL:
-<A HREF="%U">%U</A>
+FTP-palvelin oli liian kuormitettu kun osoitetta
+<A HREF="%U">%U</A> yritettiin hakea.
 <P>
-Squid sent the following FTP command:
+Squid l&auml;hetti seuraavan FTP-komennon:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+ja sai seuraavan vastauksen:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_REQ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_REQ
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_REQ	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_REQ	Wed Feb  2 15:41:02 2005
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
 Yritett&auml;ess&auml; toteuttaa hakupyynt&ouml;&auml;
@@ -31,3 +31,4 @@
 <LI>Virheellinen merkki palvelinnimess&auml;; alaviivat eiv&auml;t ole sallittuja
 </UL>
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_RESP squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_RESP
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_RESP	Mon Jan 17 15:13:00 2005
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_RESP	Wed Feb  2 15:41:02 2005
@@ -1,29 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-While trying to process the request:
+Yritett&auml;ess&auml; toimittaa pyynt&ouml;&auml;:
 <PRE>
 %R
 </PRE>
 <P>
-The following error was encountered:
+Tapahtui seuraava virhe:
 <UL>
 <LI>
 <STRONG>
-Invalid Response
+Virheellinen vastaus
 </STRONG>
 </UL>
 
 <P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
-
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+Palvelimen l&auml;hett&auml;m&auml;&auml; HTTP-vastausta ei ymm&auml;rretty tai se oli
+v&auml;&auml;r&auml;n muotoinen. Ota yhteytt&auml; palvelimen yll&auml;pit&auml;j&auml;&auml;n.
+V&auml;lipalvelimesi yll&auml;pit&auml;j&auml;lt&auml; voit saada lis&auml;tietoja
+ongelman luonteesta.
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_URL squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_URL
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_INVALID_URL	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_INVALID_URL	Wed Feb  2 15:41:02 2005
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
 <UL>
 <LI>
 <STRONG>
-Virheellinen URL-osoite
+Virheellinen osoite
 </STRONG>
 </UL>
 
 <P>
-Joku osa URL-osoitetta on virheellinen. Mahdollisia ongelmia:
+Joku osa osoitetta on virheellinen. Mahdollisia ongelmia:
 <UL>
 <LI>Puuttuva tai virheellinen yhteysk&auml;yt&auml;nt&ouml; (tulisi olla "http://" tai vastaava)
 <LI>Puuttuva palvelinnimi
@@ -27,3 +27,4 @@
 <LI>Virheellinen merkki palvelinnimess&auml;; alaviivat eiv&auml;t ole sallittuja
 </UL>
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_LIFETIME_EXP squid-2.5.STABLE8-RC4/errors/Finnish/ERR_LIFETIME_EXP
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_LIFETIME_EXP	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_LIFETIME_EXP	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -22,3 +22,4 @@
 Squid on keskeytt&auml;nyt hakupuunn&ouml;n, koska se ylitti suurimman
 mahdollisimman yhteyden elinajan.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_NO_RELAY squid-2.5.STABLE8-RC4/errors/Finnish/ERR_NO_RELAY
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_NO_RELAY	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_NO_RELAY	Wed Feb  2 15:41:02 2005
@@ -1,24 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
 <UL>
 <LI>
 <STRONG>
-Ei WAIS-linkki&auml;
+Ei WAIS-reititint&auml;
 </STRONG>
 </UL>
 
 <P>
-T&auml;lle v&auml;lityspalvelimelle ei ole m&auml;&auml;ritelty WAIS-linkkipalvelinta.
+T&auml;lle v&auml;lityspalvelimelle ei ole m&auml;&auml;ritelty WAIS-reititin&auml;!
 Komenna yll&auml;pitoa.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ONLY_IF_CACHED_MISS squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ONLY_IF_CACHED_MISS
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ONLY_IF_CACHED_MISS	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ONLY_IF_CACHED_MISS	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -24,3 +24,4 @@
 -v&auml;lityspalvelinm&auml;&auml;ritys. Pyydetty&auml; dokumenttia ei l&ouml;ytynyt v&auml;lityspalvelimesta <em>tai</em>
 se vaati uudellenvahvistuksen, jonka <code>vain v&auml;lityspalvelimesta</code> -m&auml;&auml;ritys kielt&auml;&auml;.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_READ_ERROR squid-2.5.STABLE8-RC4/errors/Finnish/ERR_READ_ERROR
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_READ_ERROR	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_READ_ERROR	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -23,6 +23,7 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-On ilmennyt virhetila luettaessa tietoa verkosta.
+Luettaessa tietoa verkosta tapahtui virhe.
 Uusi hakupyynt&ouml;si.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_READ_TIMEOUT squid-2.5.STABLE8-RC4/errors/Finnish/ERR_READ_TIMEOUT
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_READ_TIMEOUT	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_READ_TIMEOUT	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -24,5 +24,6 @@
 
 <P>
 Odotettaessa tietoa verkosta yhteys aikakatkaistiin. Verkko tai palvelin
-saattaa olla alhaalla tai ruuhkautunut. Uusi hakupyynt&ouml;si.
+saattaa olla alhaalla tai ruuhkautunut. Yrit&auml; uudelleen.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_SHUTTING_DOWN squid-2.5.STABLE8-RC4/errors/Finnish/ERR_SHUTTING_DOWN
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_SHUTTING_DOWN	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_SHUTTING_DOWN	Wed Feb  2 15:41:02 2005
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-While trying to retrieve the URL:
+Haettaessa osoitetta:
 <A HREF="%U">%U</A>
 <P>
-The following error was encountered:
+Tapahtui seuraava virhe:
 <UL>
 <P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+V&auml;lityspalvelinta ollaan juuri sammuttamassa, joten se ei
+voi palvella sinua nyt. Yrit&auml; hetken kuluttua uudelleen.
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
+
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_SOCKET_FAILURE squid-2.5.STABLE8-RC4/errors/Finnish/ERR_SOCKET_FAILURE
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_SOCKET_FAILURE	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_SOCKET_FAILURE	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -24,5 +24,6 @@
 
 <P>
 Squid ei voinut luoda TCP-sokettia, oletettavasti valtavan kuorman
-vuoksi. Uusi hakupyynt&ouml;si.
+vuoksi. Yrit&auml; uudestaan.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_TOO_BIG squid-2.5.STABLE8-RC4/errors/Finnish/ERR_TOO_BIG
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_TOO_BIG	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_TOO_BIG	Wed Feb  2 15:41:02 2005
@@ -1,28 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>VIRHE</H1>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-While trying to retrieve the URL:
+Yritett&auml;ess&auml; hakea osoitetta:
 <A HREF="%U">%U</A>
 <P>
-The following error was encountered:
+Tapahtui seuraava virhe:
 <UL>
 <LI>
 <STRONG>
-The request or reply is too large.
+Joko pyynt&ouml; tai vastaus on liian iso.
 </STRONG>
 <P>
-If you are making a POST or PUT request, then your request body
-(the thing you are trying to upload) is too large.  If you are 
-making a GET request, then the reply body (what you are trying
-to download) is too large.   These limits have been established
-by the Internet Service Provider who operates this cache.  Please
-contact them directly if you feel this is an error.
+Jos l&auml;het&auml;t POST- tai PUT-pyynt&ouml;&auml;, niin pyynt&ouml;si runko
+(se tavara, jota yrit&auml;t l&auml;hett&auml;&auml;) on liian iso. Jos olet
+tekem&auml;ss&auml; GET-pyynt&ouml;&auml;, niin vastauksen runko (se, mit&auml; yrit&auml;t
+ladata) on liian iso. N&auml;m&auml; rajoitukset on asettanut
+Internet-palvelusi tarjoaja, joka yll&auml;pit&auml;&auml; t&auml;t&auml; v&auml;lityspalvelinta.
+Ota yhteytt&auml; heihin, jos rajoitus on sinusta virheellinen.
 </UL>
-<P>
-Your cache administrator is <A HREF="mailto:%w">%w</A>.
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_UNSUP_REQ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_UNSUP_REQ
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_UNSUP_REQ	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_UNSUP_REQ	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -22,4 +22,4 @@
 Squid ei tue kaikkia hakupyynnon tyyppej&auml; kaikilla protokollilla.
 Et voi esimerkiksi k&auml;ytt&auml;&auml; POST-pyynt&ouml;&auml; gopherilla.
 </P>
-
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_URN_RESOLVE squid-2.5.STABLE8-RC4/errors/Finnish/ERR_URN_RESOLVE
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_URN_RESOLVE	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_URN_RESOLVE	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -19,5 +19,6 @@
 </UL>
 
 <P>
-Hei, &auml;l&auml; odota liikaa URN:ilt&auml; kun kyseess&auml; on %T :-)
+Hei, &auml;l&auml; odota liikaa URN:ilt&auml; kun kyseess&auml; on %T :)
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_WRITE_ERROR squid-2.5.STABLE8-RC4/errors/Finnish/ERR_WRITE_ERROR
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_WRITE_ERROR	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_WRITE_ERROR	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -23,5 +23,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Kirjoitettaessa tietoa verkkoon ilmeni virhetilanne. Uusi hakupyynt&ouml;si.
+Kirjoitettaessa tietoa verkkoon tapahtui virhe. Yrit&auml; uudestaan.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ZERO_SIZE_OBJECT squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ZERO_SIZE_OBJECT
--- squid-2.5.STABLE8-RC3/errors/Finnish/ERR_ZERO_SIZE_OBJECT	Wed Aug 28 15:08:01 2002
+++ squid-2.5.STABLE8-RC4/errors/Finnish/ERR_ZERO_SIZE_OBJECT	Wed Feb  2 15:41:02 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
+<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
+<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
 <HR noshade size="1px">
 <P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
+Yritett&auml;ess&auml; hakea osoitetta
 <A HREF="%U">%U</A>
 <P>
 Ilmeni seuraava ongelma:
@@ -19,5 +19,6 @@
 </UL>
 
 <P>
-Haku ei tuonut Squidille mit&auml;&auml;n tietoa.
+Squid ei saanut vastauksena yht&auml;&auml;n dataa.
 </P>
+<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -ruN squid-2.5.STABLE8-RC3/errors/Finnish/README squid-2.5.STABLE8-RC4/errors/Finnish/README
--- squid-2.5.STABLE8-RC3/errors/Finnish/README	Thu Jun 24 14:32:35 1999
+++ squid-2.5.STABLE8-RC4/errors/Finnish/README	Wed Feb  2 15:41:02 2005
@@ -1 +1,2 @@
 Finnish translation by Panu Hllfors <panupa@iki.fi>
+Last revision on 29.1.2005.
\ No newline at end of file
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ACCESS_DENIED	Thu Nov  6 08:33:26 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ACCESS_DENIED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	Thu Nov  6 08:33:26 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Prijimas prie keo udraustas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>KLAIDA</H1>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	Thu Nov  6 08:33:26 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Keo menederio prijimas udraustas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>KLAIDA</H1>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CANNOT_FORWARD squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CANNOT_FORWARD
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CANNOT_FORWARD	Thu Nov  6 08:33:26 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CANNOT_FORWARD	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CONNECT_FAIL squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CONNECT_FAIL
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_CONNECT_FAIL	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_CONNECT_FAIL	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_DNS_FAIL squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_DNS_FAIL
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_DNS_FAIL	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_DNS_FAIL	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FORWARDING_DENIED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FORWARDING_DENIED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FORWARDING_DENIED	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FORWARDING_DENIED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_DISABLED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_DISABLED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_DISABLED	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_DISABLED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_FAILURE squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_FAILURE
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_FAILURE	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_FAILURE	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_FORBIDDEN squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_FORBIDDEN
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_FORBIDDEN	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_FORBIDDEN	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_NOT_FOUND squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_NOT_FOUND
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_NOT_FOUND	Thu Nov  6 08:33:27 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_NOT_FOUND	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_CREATED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_CREATED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_CREATED	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_CREATED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>FTP PUT operacija buvo skminga: Failas sukurtas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>Operacija buvo skminga</H1>
 <H2>Failas sukurtas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_ERROR squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_ERROR
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_ERROR	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_ERROR	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: FTP uploadas nepavyko</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>FTP PUT/uploadas nepavyko</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_MODIFIED squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_MODIFIED
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>FTP PUT operacija skminga: Failas atnaujintas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>Operacija skminga</H1>
 <H2>Failas atnaujintas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_UNAVAILABLE squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_UNAVAILABLE
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_FTP_UNAVAILABLE	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_FTP_UNAVAILABLE	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_REQ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_REQ
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_REQ	Thu Feb 12 10:22:23 2004
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_REQ	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_RESP squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_RESP
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_RESP	Mon Jan 17 15:13:03 2005
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_RESP	Thu Feb  3 09:19:52 2005
@@ -1,29 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
 <HR noshade size="1px">
 <P>
-While trying to process the request:
+Bandant vykdyti uklaus:
 <PRE>
 %R
 </PRE>
 <P>
-The following error was encountered:
+Gautas klaidos praneimas:
 <UL>
 <LI>
 <STRONG>
-Invalid Response
+Klaidingas atsakymas
 </STRONG>
 </UL>
 
 <P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
-
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+I serverio gautas nesuprantamas HTTP atsakymas arba jis buvo klaidingai
+suformuotas. Susisiekite su serverio operatoriumi. Js proxy serverio
+administratorius gali suteikti jums daugiau informacijos apie i problem.
+</P>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_URL squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_URL
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_INVALID_URL	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_INVALID_URL	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_LIFETIME_EXP squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_LIFETIME_EXP
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_LIFETIME_EXP	Thu Nov  6 08:33:28 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_LIFETIME_EXP	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_NO_RELAY squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_NO_RELAY
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_NO_RELAY	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_NO_RELAY	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_READ_ERROR squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_READ_ERROR
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_READ_ERROR	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_READ_ERROR	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_READ_TIMEOUT squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_READ_TIMEOUT
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_READ_TIMEOUT	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_READ_TIMEOUT	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_SHUTTING_DOWN squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_SHUTTING_DOWN
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_SHUTTING_DOWN	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_SHUTTING_DOWN	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_SOCKET_FAILURE squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_SOCKET_FAILURE
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_SOCKET_FAILURE	Thu Nov  6 08:33:29 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_SOCKET_FAILURE	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_TOO_BIG squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_TOO_BIG
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_TOO_BIG	Thu Nov  6 08:33:30 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_TOO_BIG	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_UNSUP_REQ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_UNSUP_REQ
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_UNSUP_REQ	Thu Nov  6 08:33:30 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_UNSUP_REQ	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_URN_RESOLVE squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_URN_RESOLVE
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_URN_RESOLVE	Thu Nov  6 08:33:30 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_URN_RESOLVE	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Nurodytas URN negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>puslapis nurodytam URN negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_WRITE_ERROR squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_WRITE_ERROR
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_WRITE_ERROR	Thu Nov  6 08:33:30 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_WRITE_ERROR	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT
--- squid-2.5.STABLE8-RC3/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	Thu Nov  6 08:33:30 2003
+++ squid-2.5.STABLE8-RC4/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	Thu Feb  3 09:19:52 2005
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali bti atsistas</H2>
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_FORBIDDEN squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_FORBIDDEN
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_FORBIDDEN	Wed Aug 28 15:08:11 2002
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_FORBIDDEN	Tue Feb  1 08:27:13 2005
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>:</H1>
+<H2> URL    </H2>
 <HR noshade size="1px">
 <P>
-An FTP authentication failure occurred
-while trying to retrieve the URL:
+  FTP-
+   URL:
 <A HREF="%U">%U</A>
 <P>
-Squid sent the following FTP command:
+Squid   FTP-:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+  :
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_NOT_FOUND squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_NOT_FOUND
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_NOT_FOUND	Wed Aug 28 15:08:11 2002
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_NOT_FOUND	Tue Feb  1 08:27:13 2005
@@ -1,23 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>:</H1>
+<H2> URL    </H2>
 <HR noshade size="1px">
 <P>
-The following URL could not be retrieved:
+ URL    :
 <A HREF="%U">%U</A>
 <P>
-Squid sent the following FTP command:
+Squid   FTP-:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+  :
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-This might be caused by an FTP URL with an absolute path (which does
-not comply with RFC 1738).  If this is the cause, then the file
-can be found at <A HREF="%B">%B</A>.
+     FTP URL    (  
+RFC 1738).      ,      
+URL <A HREF="%B">%B</A>.
 </P>
 
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_UNAVAILABLE squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_UNAVAILABLE
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_FTP_UNAVAILABLE	Wed Aug 28 15:08:11 2002
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_FTP_UNAVAILABLE	Tue Feb  1 08:27:13 2005
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>:</H1>
+<H2> URL    </H2>
 <HR noshade size="1px">
 <P>
-The FTP server was too busy while trying to retrieve the URL:
+FTP        URL:
 <A HREF="%U">%U</A>
 <P>
-Squid sent the following FTP command:
+Squid   FTP-:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
+  :
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_INVALID_RESP squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_INVALID_RESP
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_INVALID_RESP	Mon Jan 17 15:13:03 2005
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_INVALID_RESP	Tue Feb  1 08:27:13 2005
@@ -1,29 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1></H1>
+<H2> URL    .</H2>
 <HR noshade size="1px">
 <P>
-While trying to process the request:
+   :
 <PRE>
 %R
 </PRE>
 <P>
-The following error was encountered:
+  :
 <UL>
 <LI>
 <STRONG>
-Invalid Response
+ .
 </STRONG>
 </UL>
 
 <P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
+HTTP ,       
+.     .
+  -    
+     .
 
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
+<P>
+   -: <A HREF="mailto:%w">%w</A>. 
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_SHUTTING_DOWN squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_SHUTTING_DOWN
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_SHUTTING_DOWN	Wed Aug 28 15:08:11 2002
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_SHUTTING_DOWN	Tue Feb  1 08:27:13 2005
@@ -1,19 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1>:</H1>
+<H2> URL    </H2>
 <HR noshade size="1px">
 <P>
-While trying to retrieve the URL:
+   URL:
 <A HREF="%U">%U</A>
 <P>
-The following error was encountered:
+  :
 <UL>
 <P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
+ -          
+   .      .
 </P>
diff -ruN squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_TOO_BIG squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_TOO_BIG
--- squid-2.5.STABLE8-RC3/errors/Russian-koi8-r/ERR_TOO_BIG	Wed Aug 28 15:08:11 2002
+++ squid-2.5.STABLE8-RC4/errors/Russian-koi8-r/ERR_TOO_BIG	Tue Feb  1 08:27:13 2005
@@ -1,22 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<HTML><HEAD>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
+<TITLE>:  URL    </TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H1></H1>
+<H2> URL    </H2>
 <HR noshade size="1px">
 <P>
-While trying to retrieve the URL:
+   URL:
 <A HREF="%U">%U</A>
 <P>
-The following error was encountered:
+  :
 <UL>
 <LI>
 <STRONG>
-The request or reply is too large.
+    .
 </STRONG>
 <P>
+   POST  PUT ,    ( ,
+    )  . 
+<br>
+   GET ,    ( ,  
+   ) -  . 
+<br>
+      .
+,     -, 
+   .
+<P>
 If you are making a POST or PUT request, then your request body
 (the thing you are trying to upload) is too large.  If you are 
 making a GET request, then the reply body (what you are trying
@@ -25,4 +36,4 @@
 contact them directly if you feel this is an error.
 </UL>
 <P>
-Your cache administrator is <A HREF="mailto:%w">%w</A>.
+   -: <A HREF="mailto:%w">%w</A>. 
diff -ruN squid-2.5.STABLE8-RC3/errors/Slovak/ERR_TOO_BIG squid-2.5.STABLE8-RC4/errors/Slovak/ERR_TOO_BIG
--- squid-2.5.STABLE8-RC3/errors/Slovak/ERR_TOO_BIG	Mon Jan 31 08:28:40 2005
+++ squid-2.5.STABLE8-RC4/errors/Slovak/ERR_TOO_BIG	Tue Feb  1 16:30:20 2005
@@ -20,12 +20,12 @@
 </UL>
 
 <P>
-If you are making a POST or PUT request, then your request body
-(the thing you are trying to upload) is too large.  If you are 
-making a GET request, then the reply body (what you are trying
-to download) is too large.   These limits have been established
-by the Internet Service Provider who operates this cache.  Please
-contact them directly if you feel this is an error.
+Ak odosielate POST alebo PUT poiadavku, tak telo Vaej poiadavky
+(t vec, ktor sa snate odosla na server) je privek. Ak odosielate GET
+poiadavku, tak telo odpovede (to, o sa snate prevzia zo servera) je
+privek. Tieto obmedzenia boli stanoven Internet Service Providerom ktor
+prevdzkuje tto cache. Kontaktujte ho prosm priamo ak si myslte, e toto
+obmedzenie je chybn.
 </P>
 
 <P>Vam cache administrtorom je <A HREF="mailto:%w">%w</A>.</P>
diff -ruN squid-2.5.STABLE8-RC3/helpers/basic_auth/LDAP/squid_ldap_auth.c squid-2.5.STABLE8-RC4/helpers/basic_auth/LDAP/squid_ldap_auth.c
--- squid-2.5.STABLE8-RC3/helpers/basic_auth/LDAP/squid_ldap_auth.c	Sun Jan 16 21:24:14 2005
+++ squid-2.5.STABLE8-RC4/helpers/basic_auth/LDAP/squid_ldap_auth.c	Thu Feb  3 16:08:06 2005
@@ -587,8 +587,7 @@
 	char escaped_login[256];
 	LDAPMessage *res = NULL;
 	LDAPMessage *entry;
-	char *searchattr[] =
-	{NULL};
+	char *searchattr[] = {LDAP_NO_ATTRS, NULL};
 	char *userdn;
 	int rc;
 	LDAP *search_ld = persistent_ld;
diff -ruN squid-2.5.STABLE8-RC3/helpers/external_acl/ldap_group/squid_ldap_group.c squid-2.5.STABLE8-RC4/helpers/external_acl/ldap_group/squid_ldap_group.c
--- squid-2.5.STABLE8-RC3/helpers/external_acl/ldap_group/squid_ldap_group.c	Tue Mar  2 02:13:29 2004
+++ squid-2.5.STABLE8-RC4/helpers/external_acl/ldap_group/squid_ldap_group.c	Thu Feb  3 16:14:41 2005
@@ -631,6 +631,7 @@
     LDAPMessage *res = NULL;
     LDAPMessage *entry;
     int rc;
+    char *searchattr[] = {LDAP_NO_ATTRS, NULL};
 
     if (extension_dn && *extension_dn)
 	snprintf(searchbase, sizeof(searchbase), "%s,%s", extension_dn, basedn);
@@ -645,7 +646,7 @@
     if (debug)
 	fprintf(stderr, "group filter '%s', searchbase '%s'\n", filter, searchbase);
 
-    rc = ldap_search_s(ld, searchbase, searchscope, filter, NULL, 1, &res);
+    rc = ldap_search_s(ld, searchbase, searchscope, filter, searchattr, 1, &res);
     if (rc != LDAP_SUCCESS) {
 	if (noreferrals && rc == LDAP_PARTIAL_RESULTS) {
 	    /* Everything is fine. This is expected when referrals
@@ -684,6 +685,7 @@
 	LDAPMessage *entry;
 	int rc;
 	char *userdn;
+	char *searchattr[] = {LDAP_NO_ATTRS, NULL};
 	if (extension_dn && *extension_dn)
 	    snprintf(searchbase, sizeof(searchbase), "%s,%s", extension_dn, userbasedn ? userbasedn : basedn);
 	else
@@ -692,7 +694,7 @@
 	snprintf(filter, sizeof(filter), usersearchfilter, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login, escaped_login);
 	if (debug)
 	    fprintf(stderr, "user filter '%s', searchbase '%s'\n", filter, searchbase);
-	rc = ldap_search_s(ld, searchbase, searchscope, filter, NULL, 1, &res);
+	rc = ldap_search_s(ld, searchbase, searchscope, filter, searchattr, 1, &res);
 	if (rc != LDAP_SUCCESS) {
 	    if (noreferrals && rc == LDAP_PARTIAL_RESULTS) {
 		/* Everything is fine. This is expected when referrals
diff -ruN squid-2.5.STABLE8-RC3/include/version.h squid-2.5.STABLE8-RC4/include/version.h
--- squid-2.5.STABLE8-RC3/include/version.h	Mon Jan 31 15:59:23 2005
+++ squid-2.5.STABLE8-RC4/include/version.h	Fri Feb  4 07:54:34 2005
@@ -9,5 +9,5 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1107212360
+#define SQUID_RELEASE_TIME 1107528871
 #endif
diff -ruN squid-2.5.STABLE8-RC3/src/auth/ntlm/auth_ntlm.c squid-2.5.STABLE8-RC4/src/auth/ntlm/auth_ntlm.c
--- squid-2.5.STABLE8-RC3/src/auth/ntlm/auth_ntlm.c	Tue Dec  7 16:52:42 2004
+++ squid-2.5.STABLE8-RC4/src/auth/ntlm/auth_ntlm.c	Thu Feb  3 16:22:12 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: auth_ntlm.c,v 1.17.2.20 2004/12/07 23:52:42 hno Exp $
+ * $Id: auth_ntlm.c,v 1.17.2.21 2005/02/03 23:22:12 hno Exp $
  *
  * DEBUG: section 29    NTLM Authenticator
  * AUTHOR: Robert Collins
@@ -492,6 +492,10 @@
     auth_user_request = r->auth_user_request;
     ntlm_request = auth_user_request->scheme_data;
     assert(ntlm_request != NULL);
+    if (!ntlm_request->authserver)
+	ntlm_request->authserver = srv;
+    else
+	assert(ntlm_request->authserver == srv);
 
     /* seperate out the useful data */
     if (strncasecmp(reply, "TT ", 3) == 0) {
@@ -507,7 +511,6 @@
 	/* and we satisfy the request that happended on the refresh boundary */
 	/* note this code is now in two places FIXME */
 	assert(ntlm_request->auth_state == AUTHENTICATE_STATE_NEGOTIATE);
-	ntlm_request->authserver = srv;
 	ntlm_request->authchallenge = xstrdup(reply);
 	helperstate->challengeuses = 1;
     } else if (strncasecmp(reply, "AF ", 3) == 0) {
@@ -537,7 +540,6 @@
 	/* we only expect LD when finishing the handshake */
 	assert(ntlm_request->auth_state == AUTHENTICATE_STATE_RESPONSE);
 	ntlm_user->username = xstrdup(reply);
-	helperstate = helperStatefulServerGetData(ntlm_request->authserver);
 	/* BH code: mark helper as broken */
 	authenticateNTLMResetServer(ntlm_request);
 	debug(29, 4) ("authenticateNTLMHandleReply: Error validating user via NTLM. Error returned '%s'\n", reply);
@@ -561,8 +563,6 @@
 	ntlm_user = auth_user->scheme_data;
 	ntlm_request = auth_user_request->scheme_data;
 	assert((ntlm_user != NULL) && (ntlm_request != NULL));
-	assert(!ntlm_request->authserver || ntlm_request->authserver == srv);
-	helperstate = helperStatefulServerGetData(ntlm_request->authserver);
 	authenticateNTLMResetServer(ntlm_request);
 	if (ntlm_request->auth_state == AUTHENTICATE_STATE_NEGOTIATE) {
 	    /* The helper broke on YR. It automatically
diff -ruN squid-2.5.STABLE8-RC3/src/client_side.c squid-2.5.STABLE8-RC4/src/client_side.c
--- squid-2.5.STABLE8-RC3/src/client_side.c	Fri Jan 21 04:53:42 2005
+++ squid-2.5.STABLE8-RC4/src/client_side.c	Thu Feb  3 17:10:09 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.561.2.69 2005/01/21 11:53:42 hno Exp $
+ * $Id: client_side.c,v 1.561.2.70 2005/02/04 00:10:09 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -933,9 +933,10 @@
 	authenticateAuthUserRequestUnlock(connState->auth_user_request);
     connState->auth_user_request = NULL;
     authenticateOnCloseConnection(connState);
-    if (connState->in.size == CLIENT_REQ_BUF_SZ)
+    if (connState->in.size == CLIENT_REQ_BUF_SZ) {
 	memFree(connState->in.buf, MEM_CLIENT_REQ_BUF);
-    else
+	connState->in.buf = NULL;
+    } else
 	safe_free(connState->in.buf);
     /* XXX account connState->in.buf */
     pconnHistCount(0, connState->nrequests);
@@ -3003,9 +3004,15 @@
 	}
 	/* Continue to process previously read data */
     }
+    cbdataLock(conn);		/* clientProcessBody might pull the connection under our feets */
     /* Process request body if any */
-    if (conn->in.offset > 0 && conn->body.callback != NULL)
+    if (conn->in.offset > 0 && conn->body.callback != NULL) {
 	clientProcessBody(conn);
+	if (!cbdataValid(conn)) {
+	    cbdataUnlock(conn);
+	    return;
+	}
+    }
     /* Process next request */
     while (conn->in.offset > 0 && conn->body.size_left == 0) {
 	int nrequests;
@@ -3175,7 +3182,6 @@
 		break;
 	    } else {
 		clientAccessCheck(http);
-		continue;	/* while offset > 0 && body.size_left == 0 */
 	    }
 	} else if (parser_return_code == 0) {
 	    /*
@@ -3195,11 +3201,15 @@
 		*H = http;
 		http->entry = clientCreateStoreEntry(http, METHOD_NONE, null_request_flags);
 		errorAppendEntry(http->entry, err);
-		return;
 	    }
 	    break;
 	}
+	if (!cbdataValid(conn)) {
+	    cbdataUnlock(conn);
+	    return;
+	}
     }				/* while offset > 0 && conn->body.size_left == 0 */
+    cbdataUnlock(conn);
     /* Check if a half-closed connection was aborted in the middle */
     if (F->flags.socket_eof) {
 	if (conn->in.offset != conn->body.size_left) {	/* != 0 when no request body */
diff -ruN squid-2.5.STABLE8-RC3/src/http.c squid-2.5.STABLE8-RC4/src/http.c
--- squid-2.5.STABLE8-RC3/src/http.c	Mon Jan 31 15:44:18 2005
+++ squid-2.5.STABLE8-RC4/src/http.c	Thu Feb  3 17:30:01 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.384.2.26 2005/01/31 22:44:18 hno Exp $
+ * $Id: http.c,v 1.384.2.27 2005/02/04 00:30:01 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -725,6 +725,16 @@
 		if (!httpState->flags.keepalive)
 		    keep_alive = 0;
 		/*
+		 * If we haven't sent the whole request then this can not be a persistent
+		 * connection.
+		 */
+		if (!httpState->flags.request_sent) {
+		    debug(11, 1) ("httpReadReply: Request not yet fully sent \"%s %s\"\n",
+			RequestMethodStr[httpState->orig_request->method],
+			storeUrl(entry));
+		    keep_alive = 0;
+		}
+		/*
 		 * What does the reply have to say about keep-alive?
 		 */
 		if (!entry->mem_obj->reply->keep_alive)
@@ -830,6 +840,7 @@
 	commSetTimeout(fd, Config.Timeout.read, httpTimeout, httpState);
 	commSetDefer(fd, fwdCheckDeferRead, entry);
     }
+    httpState->flags.request_sent = 1;
 }
 
 /*
diff -ruN squid-2.5.STABLE8-RC3/src/structs.h squid-2.5.STABLE8-RC4/src/structs.h
--- squid-2.5.STABLE8-RC3/src/structs.h	Fri Jan 21 04:48:25 2005
+++ squid-2.5.STABLE8-RC4/src/structs.h	Thu Feb  3 17:30:01 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.408.2.35 2005/01/21 11:48:25 hno Exp $
+ * $Id: structs.h,v 1.408.2.36 2005/02/04 00:30:01 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -985,6 +985,7 @@
     unsigned int only_if_cached:1;
     unsigned int keepalive_broken:1;
     unsigned int abuse_detected:1;
+    unsigned int request_sent:1;
 };
 
 struct _HttpStateData {
diff -ruN squid-2.5.STABLE8-RC3/src/wccp.c squid-2.5.STABLE8-RC4/src/wccp.c
--- squid-2.5.STABLE8-RC3/src/wccp.c	Fri Jan 28 15:50:19 2005
+++ squid-2.5.STABLE8-RC4/src/wccp.c	Fri Feb  4 04:38:15 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wccp.c,v 1.19.2.7 2005/01/28 22:50:19 wessels Exp $
+ * $Id: wccp.c,v 1.19.2.9 2005/02/04 11:38:15 hno Exp $
  *
  * DEBUG: section 80    WCCP Support
  * AUTHOR: Glenn Chisholm
@@ -38,7 +38,6 @@
 
 #define WCCP_PORT 2048
 #define WCCP_REVISION 0
-#define WCCP_RESPONSE_SIZE 12448
 #define WCCP_ACTIVE_CACHES 32
 #define WCCP_HASH_SIZE 32
 #define WCCP_BUCKETS 256
@@ -83,7 +82,8 @@
 static int theOutWccpConnection = -1;
 static struct wccp_here_i_am_t wccp_here_i_am;
 static struct wccp_i_see_you_t wccp_i_see_you;
-static int change;
+static int last_change;
+static int last_id;
 static int last_assign_buckets_change;
 static int number_caches;
 static struct in_addr local_ip;
@@ -109,8 +109,10 @@
     wccp_here_i_am.type = htonl(WCCP_HERE_I_AM);
     wccp_here_i_am.version = htonl(Config.Wccp.version);
     wccp_here_i_am.revision = htonl(WCCP_REVISION);
-    change = 0;
+    last_change = 0;
+    last_id = 0;
     last_assign_buckets_change = 0;
+    number_caches = 0;
     if (Config.Wccp.router.s_addr != any_addr.s_addr)
 	if (!eventFind(wccpHereIam, NULL))
 	    eventAdd("wccpHereIam", wccpHereIam, NULL, 5.0, 1);
@@ -245,17 +247,13 @@
 	return;
     if (ntohl(wccp_i_see_you.type) != WCCP_I_SEE_YOU)
 	return;
-    if (ntohl(wccp_i_see_you.number) > WCCP_ACTIVE_CACHES) {
+    if (ntohl(wccp_i_see_you.number) > WCCP_ACTIVE_CACHES || ntohl(wccp_i_see_you.number) < 0) {
 	debug(80, 1) ("Ignoring WCCP_I_SEE_YOU from %s with number of caches set to %d\n",
 	    inet_ntoa(from.sin_addr), (int) ntohl(wccp_i_see_you.number));
 	return;
     }
-    if (ntohl(wccp_i_see_you.number) <= 0) {
-	debug(80, 1) ("Ignoring WCCP_I_SEE_YOU from %s with non-positive number of caches\n",
-	    inet_ntoa(from.sin_addr));
-	return;
-    }
-    if ((0 == change) && (number_caches == ntohl(wccp_i_see_you.number))) {
+    last_id = wccp_i_see_you.id;
+    if ((0 == last_change) && (number_caches == ntohl(wccp_i_see_you.number))) {
 	if (last_assign_buckets_change == wccp_i_see_you.change) {
 	    /*
 	     * After a WCCP_ASSIGN_BUCKET message, the router should
@@ -267,14 +265,14 @@
 	     */
 	    (void) 0;
 	} else {
-	    change = wccp_i_see_you.change;
+	    last_change = wccp_i_see_you.change;
 	    return;
 	}
     }
-    if (change != wccp_i_see_you.change) {
-	change = wccp_i_see_you.change;
+    if (last_change != wccp_i_see_you.change) {
+	last_change = wccp_i_see_you.change;
 	if (wccpLowestIP() && wccp_i_see_you.number) {
-	    last_assign_buckets_change = change;
+	    last_assign_buckets_change = last_change;
 	    wccpAssignBuckets();
 	}
     }
@@ -284,6 +282,7 @@
 wccpLowestIP(void)
 {
     int loop;
+    int found = 0;
     /*
      * We sanity checked wccp_i_see_you.number back in wccpHandleUdp()
      */
@@ -291,8 +290,10 @@
 	assert(loop < WCCP_ACTIVE_CACHES);
 	if (wccp_i_see_you.wccp_cache_entry[loop].ip_addr.s_addr < local_ip.s_addr)
 	    return 0;
+	if (wccp_i_see_you.wccp_cache_entry[loop].ip_addr.s_addr == local_ip.s_addr)
+	    found = 1;
     }
-    return 1;
+    return found;
 }
 
 static void
@@ -300,7 +301,7 @@
 {
     debug(80, 6) ("wccpHereIam: Called\n");
 
-    wccp_here_i_am.id = wccp_i_see_you.id;
+    wccp_here_i_am.id = last_id;
     send(theOutWccpConnection,
 	&wccp_here_i_am,
 	sizeof(wccp_here_i_am),
@@ -362,7 +363,7 @@
 	buf,
 	wab_len + WCCP_BUCKETS + cache_len,
 	0);
-    change = 0;
+    last_change = 0;
     xfree(buf);
 }
 
